
Download Button - Bug #1929

Download button not correctly displayed with ChiliProject 3.0.0beta1

04 Jan 2012 17:58 - Andreas Schuh

Status: Closed Start date: 04 Jan 2012

Priority: Normal Due date: 14 Feb 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.3   

Redmine version:  External issue:  

Description

Using the download button plugin with ChiliProject 3.0.0beta1 results in the wrong layout of the button as can be seen in the

screenshot. Adding the line

{{{

a.download {

/* ... */

float: left;

}

}}}

fixes this issue. I checked this change also with Redmine 1.3.0 and the button is still displayed correctly here as well.

Related issues:

Related to Download Button - Feature #1951: Support themes Closed 27 Jan 2012 28 Jan 2012

History

#1 - 04 Jan 2012 17:58 - Andreas Schuh

- File Screen_shot_2012-01-04_at_12.51.29_PM.png added

Seems like the file was not uploaded.

#2 - 05 Jan 2012 20:48 - Andreas Schuh

- File custom.css added

Fixed as part of the patch which implements #1860. Additionally, for ChiliProject 3.0, the attached custom stylesheet can be used such that the

download button appear right below the main menu (couldn’t figure yet how I could place it above it w/o JavaScript...).

This custom style makes most sense if the button is visible on all views. Hence, one needs to use your Sidebar content plugin (

http://projects.andriylesyuk.com/projects/redmine-sidebar) with an empty regular expression for the “Not for URL” field. Also, one should not forget to

disable the regular download button in this case, otherwise it is rendered twice.

#3 - 05 Jan 2012 20:50 - Andreas Schuh

- File Screen_shot_2012-01-05_at_3.48.43_PM.png added

Here a screenshot of the menu of ChiliProject 3.0 using this custom style for completeness.

#4 - 06 Jan 2012 14:19 - Andriy Lesyuk

- Target version set to 0.0.3
http://projects.andriylesyuk.com/issues/1860
http://projects.andriylesyuk.com/projects/redmine-sidebar


Thanks! 

#5 - 13 Jan 2012 09:58 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

#6 - 28 Jan 2012 15:04 - Andriy Lesyuk

- Status changed from Open to Under Verification

- % Done changed from 0 to 100

Closed in a different way... Please check!

#7 - 14 Feb 2012 16:38 - Andriy Lesyuk

- Due date set to 14 Feb 2012

- Status changed from Under Verification to Closed

I guess it has been fixed...

Files

Screen_shot_2012-01-04_at_12.51.29_PM.png 8.36 KB 04 Jan 2012 Andreas Schuh

custom.css 201 Bytes 05 Jan 2012 Andreas Schuh

Screen_shot_2012-01-05_at_3.48.43_PM.png 26.8 KB 05 Jan 2012 Andreas Schuh
